# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.68"
name = "avalanche-telemetry-cloudwatch-installer"
version = "0.0.84"
publish = true
description = "avalanche-telemetry-cloudwatch installer"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/ava-labs/avalanche-telemetry"
resolver = "1"

[dependencies.compress-manager]
version = "0.0.7"

[dependencies.log]
version = "0.4.17"

[dependencies.random-manager]
version = "0.0.5"

[dependencies.reqwest]
version = "0.11.16"

[dependencies.serde]
version = "1.0.160"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.96"

[dependencies.tokio]
version = "1.27.0"
features = ["full"]

[dev-dependencies.env_logger]
version = "0.10.0"
